com.fasterxml.jackson.dataformat.avro

## Class AvroTypeResolverBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder
  - - com.fasterxml.jackson.dataformat.avro.AvroTypeResolverBuilder

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>

      public class AvroTypeResolverBuilder
      extends com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

  Since:
    2.9

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

      `_customIdResolver, _defaultImpl, _idType, _includeAs, _typeIdVisible, _typeProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroTypeResolverBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.jsontype.TypeDeserializer` | `buildTypeDeserializer(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.JavaType baseType, Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes)`
    `com.fasterxml.jackson.databind.jsontype.TypeSerializer` | `buildTypeSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.JavaType baseType, Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes)`
    `protected com.fasterxml.jackson.databind.jsontype.TypeIdResolver` | `idResolver(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config, com.fasterxml.jackson.databind.JavaType baseType, com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator subtypeValidator, Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes, boolean forSer, boolean forDeser)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder

      `defaultImpl, defineDefaultImpl, getDefaultImpl, getTypeProperty, inclusion, init, isTypeIdVisible, noTypeInfoBuilder, reportInvalidBaseType, subTypeValidator, typeIdVisibility, typeProperty, verifyBaseTypeValidity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroTypeResolverBuilder

          public AvroTypeResolverBuilder()

  - ### Method Detail

    - #### buildTypeSerializer

          public com.fasterxml.jackson.databind.jsontype.TypeSerializer buildTypeSerializer(com.fasterxml.jackson.databind.SerializationConfig config,
                                                                                            com.fasterxml.jackson.databind.JavaType baseType,
                                                                                            Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes)

      Specified by:
        `buildTypeSerializer` in interface `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
      Overrides:
        `buildTypeSerializer` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

    - #### buildTypeDeserializer

          public com.fasterxml.jackson.databind.jsontype.TypeDeserializer buildTypeDeserializer(com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                                                com.fasterxml.jackson.databind.JavaType baseType,
                                                                                                Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes)

      Specified by:
        `buildTypeDeserializer` in interface `com.fasterxml.jackson.databind.jsontype.TypeResolverBuilder<com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
      Overrides:
        `buildTypeDeserializer` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

    - #### idResolver

          protected com.fasterxml.jackson.databind.jsontype.TypeIdResolver idResolver(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config,
                                                                                      com.fasterxml.jackson.databind.JavaType baseType,
                                                                                      com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator subtypeValidator,
                                                                                      Collection<com.fasterxml.jackson.databind.jsontype.NamedType> subtypes,
                                                                                      boolean forSer,
                                                                                      boolean forDeser)

      Overrides:
        `idResolver` in class `com.fasterxml.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

Copyright © 2019 FasterXML. All rights reserved.